gnutls_pkcs11_obj_export2(3)

NAME
gnutls_pkcs11_obj_export2 - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_obj_export2(gnutls_pkcs11_obj_t obj, gnutls_datum_t * out);

ARGUMENTS

gnutls_pkcs11_obj_t obj
    Holds the object

gnutls_datum_t * out
    will contain the object data

DESCRIPTION
This function will export the PKCS11 object data. It is normal for data to be inaccessible and in that case GNUTLS_E_INVALID_REQUEST will be returned. The output buffer is allocated using gnutls_malloc().

RETURNS
In case of failure a negative error code will be returned, and GNUTLS_E_SUCCESS (0) on success.

SINCE
3.1.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/